Index: BOOK/appendices/dependencies/common.xml
===================================================================
--- BOOK/appendices/dependencies/common.xml	(revision 2be952cdfb981a19480ca978fa1dcc6501afad6d)
+++ BOOK/appendices/dependencies/common.xml	(revision 124fbb6dbe2ec7af6faf76e7556da03f484979ae)
@@ -1651,5 +1651,5 @@
 
         <seglistitem>
-         <seg>Bash, Binutils, Coreutils, EGLIBC, GCC, Grep, Make,
+         <seg>ACL, Attr, Bash, Binutils, Coreutils, EGLIBC, GCC, Grep, Make,
          Sed and Texinfo</seg>
         </seglistitem>
Index: BOOK/final-system/alpha-chapter.xml
===================================================================
--- BOOK/final-system/alpha-chapter.xml	(revision 2be952cdfb981a19480ca978fa1dcc6501afad6d)
+++ BOOK/final-system/alpha-chapter.xml	(revision 124fbb6dbe2ec7af6faf76e7556da03f484979ae)
@@ -28,9 +28,9 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/binutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/gcc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/attr.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/acl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/sed.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/pkg-config-lite.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/attr.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/acl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/shadow.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/util-linux.xml"/>
Index: BOOK/final-system/mips-chapter.xml
===================================================================
--- BOOK/final-system/mips-chapter.xml	(revision 2be952cdfb981a19480ca978fa1dcc6501afad6d)
+++ BOOK/final-system/mips-chapter.xml	(revision 124fbb6dbe2ec7af6faf76e7556da03f484979ae)
@@ -28,9 +28,9 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/binutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="mips/gcc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/attr.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/acl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/sed.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/pkg-config-lite.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/attr.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/acl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/shadow.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/util-linux.xml"/>
Index: BOOK/final-system/mips64-64-chapter.xml
===================================================================
--- BOOK/final-system/mips64-64-chapter.xml	(revision 2be952cdfb981a19480ca978fa1dcc6501afad6d)
+++ BOOK/final-system/mips64-64-chapter.xml	(revision 124fbb6dbe2ec7af6faf76e7556da03f484979ae)
@@ -28,9 +28,9 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="64/binutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="mips64-64/gcc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/attr.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/acl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/sed.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/pkg-config-lite.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/attr.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/acl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/shadow.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/util-linux.xml"/>
Index: BOOK/final-system/mips64-chapter.xml
===================================================================
--- BOOK/final-system/mips64-chapter.xml	(revision 2be952cdfb981a19480ca978fa1dcc6501afad6d)
+++ BOOK/final-system/mips64-chapter.xml	(revision 124fbb6dbe2ec7af6faf76e7556da03f484979ae)
@@ -42,4 +42,8 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="mips64/binutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="mips64/gcc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/attr.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/attr-n32.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/attr-64bit.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/acl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/sed.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/ncurses.xml"/>
@@ -47,8 +51,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/ncurses-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="mips64/pkg-config-lite.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/attr.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/attr-n32.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/attr-64bit.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/acl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/shadow.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/util-linux.xml"/>
Index: BOOK/final-system/ppc-chapter.xml
===================================================================
--- BOOK/final-system/ppc-chapter.xml	(revision 2be952cdfb981a19480ca978fa1dcc6501afad6d)
+++ BOOK/final-system/ppc-chapter.xml	(revision 124fbb6dbe2ec7af6faf76e7556da03f484979ae)
@@ -28,9 +28,9 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/binutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/gcc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/attr.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/acl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/sed.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/pkg-config-lite.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/attr.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/acl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/shadow.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/util-linux.xml"/>
Index: BOOK/final-system/ppc64-64-chapter.xml
===================================================================
--- BOOK/final-system/ppc64-64-chapter.xml	(revision 2be952cdfb981a19480ca978fa1dcc6501afad6d)
+++ BOOK/final-system/ppc64-64-chapter.xml	(revision 124fbb6dbe2ec7af6faf76e7556da03f484979ae)
@@ -28,9 +28,9 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="64/binutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="64/gcc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/attr.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/acl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/sed.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/pkg-config-lite.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/attr.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/acl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/shadow.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/util-linux.xml"/>
Index: BOOK/final-system/ppc64-chapter.xml
===================================================================
--- BOOK/final-system/ppc64-chapter.xml	(revision 2be952cdfb981a19480ca978fa1dcc6501afad6d)
+++ BOOK/final-system/ppc64-chapter.xml	(revision 124fbb6dbe2ec7af6faf76e7556da03f484979ae)
@@ -36,11 +36,11 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="ppc64/gcc.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/multiarch_wrapper.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/attr.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/attr-64bit.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/acl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/sed.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/ncurses-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/pkg-config-lite.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/attr.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/attr-64bit.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/acl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/shadow.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/util-linux.xml"/>
Index: BOOK/final-system/sparc-chapter.xml
===================================================================
--- BOOK/final-system/sparc-chapter.xml	(revision 2be952cdfb981a19480ca978fa1dcc6501afad6d)
+++ BOOK/final-system/sparc-chapter.xml	(revision 124fbb6dbe2ec7af6faf76e7556da03f484979ae)
@@ -28,9 +28,9 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/binutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/gcc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/attr.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/acl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/sed.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/pkg-config-lite.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/attr.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/acl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/shadow.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/util-linux.xml"/>
Index: BOOK/final-system/sparc64-64-chapter.xml
===================================================================
--- BOOK/final-system/sparc64-64-chapter.xml	(revision 2be952cdfb981a19480ca978fa1dcc6501afad6d)
+++ BOOK/final-system/sparc64-64-chapter.xml	(revision 124fbb6dbe2ec7af6faf76e7556da03f484979ae)
@@ -28,9 +28,9 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="64/binutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="64/gcc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/attr.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/acl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/sed.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/pkg-config-lite.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/attr.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/acl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/shadow.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/util-linux.xml"/>
Index: BOOK/final-system/sparc64-chapter.xml
===================================================================
--- BOOK/final-system/sparc64-chapter.xml	(revision 2be952cdfb981a19480ca978fa1dcc6501afad6d)
+++ BOOK/final-system/sparc64-chapter.xml	(revision 124fbb6dbe2ec7af6faf76e7556da03f484979ae)
@@ -36,11 +36,11 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/gcc.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/multiarch_wrapper.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/attr.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/attr-64bit.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/acl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/sed.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/ncurses-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/pkg-config-lite.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/attr.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/attr-64bit.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/acl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/shadow.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/util-linux.xml"/>
Index: BOOK/final-system/x86-chapter.xml
===================================================================
--- BOOK/final-system/x86-chapter.xml	(revision 2be952cdfb981a19480ca978fa1dcc6501afad6d)
+++ BOOK/final-system/x86-chapter.xml	(revision 124fbb6dbe2ec7af6faf76e7556da03f484979ae)
@@ -28,9 +28,9 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/binutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/gcc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/attr.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/acl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/sed.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/pkg-config-lite.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/attr.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/acl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/shadow.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/util-linux.xml"/>
Index: BOOK/final-system/x86_64-64-chapter.xml
===================================================================
--- BOOK/final-system/x86_64-64-chapter.xml	(revision 2be952cdfb981a19480ca978fa1dcc6501afad6d)
+++ BOOK/final-system/x86_64-64-chapter.xml	(revision 124fbb6dbe2ec7af6faf76e7556da03f484979ae)
@@ -28,9 +28,9 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="x86_64-64/binutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="64/gcc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/attr.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/acl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/sed.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/pkg-config-lite.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/attr.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/acl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/shadow.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/util-linux.xml"/>
Index: BOOK/final-system/x86_64-chapter.xml
===================================================================
--- BOOK/final-system/x86_64-chapter.xml	(revision 2be952cdfb981a19480ca978fa1dcc6501afad6d)
+++ BOOK/final-system/x86_64-chapter.xml	(revision 124fbb6dbe2ec7af6faf76e7556da03f484979ae)
@@ -36,11 +36,11 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/gcc.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/multiarch_wrapper.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/attr.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/attr-64bit.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/acl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/sed.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/ncurses-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/pkg-config-lite.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/attr.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/attr-64bit.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/acl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/shadow.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/util-linux.xml"/>