Index: BOOK/final-system/common/dbus.xml
===================================================================
--- BOOK/final-system/common/dbus.xml	(revision 04c3a5332da7612a4f702739e9383e8e5b0466ab)
+++ BOOK/final-system/common/dbus.xml	(revision 0131d1b5d5f6cbeb767048de360b7a5648c8883e)
@@ -52,5 +52,5 @@
 ln -sfv ../../lib/$(readlink /usr/lib/libdbus-1.so) /usr/lib/libdbus-1.so</userinput></screen>
 
-    <para os="j">Create a symlink so that D-Bus and Systemd can use the same
+    <para os="j">Create a symlink so that D-Bus and systemd can use the same
     <filename>machine-id</filename> file:</para>
 
Index: BOOK/final-system/common/glibc.xml
===================================================================
--- BOOK/final-system/common/glibc.xml	(revision 04c3a5332da7612a4f702739e9383e8e5b0466ab)
+++ BOOK/final-system/common/glibc.xml	(revision 0131d1b5d5f6cbeb767048de360b7a5648c8883e)
@@ -175,5 +175,5 @@
 mkdir -pv /var/cache/nscd</userinput></screen>
 
-    <para os="w">Install the Systemd support files for <command>nscd</command>:</para>
+    <para os="w">Install the systemd support files for <command>nscd</command>:</para>
 
 <screen os="x"><userinput>install -v -Dm644 ../glibc-2.19/nscd/nscd.tmpfiles /usr/lib/tmpfiles.d/nscd.conf
Index: BOOK/final-system/common/kbd.xml
===================================================================
--- BOOK/final-system/common/kbd.xml	(revision 04c3a5332da7612a4f702739e9383e8e5b0466ab)
+++ BOOK/final-system/common/kbd.xml	(revision 0131d1b5d5f6cbeb767048de360b7a5648c8883e)
@@ -41,5 +41,5 @@
 <screen os="g"><userinput>make install</userinput></screen>
 
-    <para os="h">Some of the programs from Kbd are used by Systemd to
+    <para os="h">Some of the programs from Kbd are used by systemd to
     initialize the system, those binaries need to be on the root
     partition:</para>
Index: BOOK/final-system/common/systemd.xml
===================================================================
--- BOOK/final-system/common/systemd.xml	(revision 04c3a5332da7612a4f702739e9383e8e5b0466ab)
+++ BOOK/final-system/common/systemd.xml	(revision 0131d1b5d5f6cbeb767048de360b7a5648c8883e)
@@ -17,5 +17,5 @@
     <title/>
 
-    <para>The Systemd package is a system and service manager for Linux
+    <para>The systemd package is a system and service manager for Linux
     operating systems.</para>
 
@@ -23,5 +23,5 @@
 
   <sect2 role="installation">
-    <title>Installation of systemd</title>
+    <title>Installation of Systemd</title>
 
     <para os="p1">Apply a patch so that compat <command>pkg-config</command>
@@ -30,5 +30,5 @@
 <screen os="p2"><userinput>patch -Np1 -i ../&systemd-compat-patch;</userinput></screen>
 
-    <para os="a">Prepare Systemd for compilation:</para>
+    <para os="a">Prepare systemd for compilation:</para>
 
 <screen os="b"><userinput>./configure --prefix=/usr \
@@ -57,5 +57,5 @@
         <term><parameter>--enable-split-usr</parameter></term>
         <listitem>
-          <para>This switch ensures that Systemd will work on
+          <para>This switch ensures that systemd will work on
           systems where /bin, /lib and /sbin directories are not
           symlinks to their /usr counterparts.</para>
@@ -66,5 +66,5 @@
         <term><parameter>--disable-gudev</parameter></term>
         <listitem>
-          <para>This switch prevents Systemd from building
+          <para>This switch prevents systemd from building
           <filename class="libraryfile">libgudev</filename> as it requires
           Glib, which is not installed in CLFS.</para>
@@ -203,5 +203,5 @@
         <term><command>systemctl</command></term>
         <listitem>
-          <para>Control the Systemd system and service manager</para>
+          <para>Control the systemd system and service manager</para>
           <indexterm zone="ch-system-systemd systemctl">
             <primary sortas="b-systemctl">systemctl</primary>
@@ -265,5 +265,5 @@
         <term><filename class="libraryfile">pam_systemd</filename></term>
         <listitem>
-          <para>Register user sessions in the Systemd control group
+          <para>Register user sessions in the systemd control group
           hierarchy</para>
           <indexterm zone="ch-system-systemd pam_systemd">
Index: BOOK/final-system/multilib/systemd.xml
===================================================================
--- BOOK/final-system/multilib/systemd.xml	(revision 04c3a5332da7612a4f702739e9383e8e5b0466ab)
+++ BOOK/final-system/multilib/systemd.xml	(revision 0131d1b5d5f6cbeb767048de360b7a5648c8883e)
@@ -21,5 +21,5 @@
 
   <sect2 role="installation">
-    <title>Installation of systemd</title>
+    <title>Installation of Systemd</title>
 
     <note os="mlw1">
Index: BOOK/network/common/choose.xml
===================================================================
--- BOOK/network/common/choose.xml	(revision 04c3a5332da7612a4f702739e9383e8e5b0466ab)
+++ BOOK/network/common/choose.xml	(revision 0131d1b5d5f6cbeb767048de360b7a5648c8883e)
@@ -20,5 +20,5 @@
 
   <para> There are two different ways you can proceed from this point
-  to configure your network. You can use Systemd, or install the
+  to configure your network. You can use systemd, or install the
   CLFS-Network-Scripts.</para>
 
Index: BOOK/network/common/sysconfig-network.xml
===================================================================
--- BOOK/network/common/sysconfig-network.xml	(revision 04c3a5332da7612a4f702739e9383e8e5b0466ab)
+++ BOOK/network/common/sysconfig-network.xml	(revision 0131d1b5d5f6cbeb767048de360b7a5648c8883e)
@@ -30,5 +30,5 @@
     after correct Network Card Interface name (e.g.
     <filename>ifconfig.enp2s1</filename> or
-    <filename>ifconfig.eth0</filename>) or Systemd will fail to bring
+    <filename>ifconfig.eth0</filename>) or systemd will fail to bring
     up your network interface.</para></note>
 
Index: BOOK/network/common/systemd-network.xml
===================================================================
--- BOOK/network/common/systemd-network.xml	(revision 04c3a5332da7612a4f702739e9383e8e5b0466ab)
+++ BOOK/network/common/systemd-network.xml	(revision 0131d1b5d5f6cbeb767048de360b7a5648c8883e)
@@ -19,5 +19,5 @@
     <command>ip l</command> after you have booted your system. It is important that the <envar>Name</envar> variable in  <filename>/etc/systemd/network</filename> contain the correct Network Card Interface name (e.g.
     <envar>Name=enp2s1</envar> or
-    <envar>Name=eth0</envar>) or Systemd will fail to bring
+    <envar>Name=eth0</envar>) or systemd will fail to bring
     up your network interface.</para></note>
 
Index: BOOK/system-config/common/clock.xml
===================================================================
--- BOOK/system-config/common/clock.xml	(revision 04c3a5332da7612a4f702739e9383e8e5b0466ab)
+++ BOOK/system-config/common/clock.xml	(revision 0131d1b5d5f6cbeb767048de360b7a5648c8883e)
@@ -77,5 +77,5 @@
 
   <note><para>Please note that <command>timedatectl</command> command can
-  be used only on a system booted with Systemd.</para></note>
+  be used only on a system booted with systemd.</para></note>
 
 </sect1>
Index: BOOK/system-config/common/console.xml
===================================================================
--- BOOK/system-config/common/console.xml	(revision 04c3a5332da7612a4f702739e9383e8e5b0466ab)
+++ BOOK/system-config/common/console.xml	(revision 0131d1b5d5f6cbeb767048de360b7a5648c8883e)
@@ -86,5 +86,5 @@
 
   <note><para>Please note that <command>localectl</command> command can
-  be used  only on a system booted with Systemd.</para></note>
+  be used  only on a system booted with systemd.</para></note>
 
   <para>You can also use <command>localectl</command> utility with the
Index: BOOK/system-config/common/introduction.xml
===================================================================
--- BOOK/system-config/common/introduction.xml	(revision 04c3a5332da7612a4f702739e9383e8e5b0466ab)
+++ BOOK/system-config/common/introduction.xml	(revision 0131d1b5d5f6cbeb767048de360b7a5648c8883e)
@@ -12,5 +12,5 @@
 
   <para>This chapter details how to finish configuring the base system.
-  This includes some final configuration for Systemd as well as locales and
+  This includes some final configuration for systemd as well as locales and
   a simple bash profile that should be suitable for most users.</para>
 
Index: BOOK/system-config/common/locale.xml
===================================================================
--- BOOK/system-config/common/locale.xml	(revision 04c3a5332da7612a4f702739e9383e8e5b0466ab)
+++ BOOK/system-config/common/locale.xml	(revision 0131d1b5d5f6cbeb767048de360b7a5648c8883e)
@@ -120,5 +120,5 @@
 
   <para>Note that you can modify <filename>/etc/locale.conf</filename> with
-  Systemd <command>localectl</command> utility. To use
+  systemd's <command>localectl</command> utility. To use
   <command>localectl</command> for the example above, run:</para>
 
@@ -134,5 +134,5 @@
 
   <note><para>Please note that <command>localectl</command> command can
-  be used  only on a system booted with Systemd.</para></note>
+  be used  only on a system booted with systemd.</para></note>
   <para>Setting the keyboard layout, screen font, and locale-related
   environment variables are the only internationalization steps needed to
Index: BOOK/system-config/common/udev.xml
===================================================================
--- BOOK/system-config/common/udev.xml	(revision 04c3a5332da7612a4f702739e9383e8e5b0466ab)
+++ BOOK/system-config/common/udev.xml	(revision 0131d1b5d5f6cbeb767048de360b7a5648c8883e)
@@ -17,5 +17,5 @@
 
   <para>In <xref linkend="chapter-building-system"/>, we installed the Udev
-  package during Systemd install. Before we go into the details regarding how
+  package during systemd install. Before we go into the details regarding how
   this works, a brief history of previous methods of handling devices is in
   order.</para>
Index: BOOK/system-config/common/usage.xml
===================================================================
--- BOOK/system-config/common/usage.xml	(revision 04c3a5332da7612a4f702739e9383e8e5b0466ab)
+++ BOOK/system-config/common/usage.xml	(revision 0131d1b5d5f6cbeb767048de360b7a5648c8883e)
@@ -51,5 +51,5 @@
 
     <para><command>systemctl</command> is the main command used to introspect
-     and control Systemd.</para>
+     and control systemd.</para>
 
     <variablelist>