Index: BOOK/beyond-clfs3/common/dropbear.xml
===================================================================
--- BOOK/beyond-clfs3/common/dropbear.xml	(revision 3bb8e6a13467e82e5668d5aa170defae6de2a40e)
+++ BOOK/beyond-clfs3/common/dropbear.xml	(revision 155e7417ef8314e581d4aff8324d791a065ea0c1)
@@ -31,5 +31,5 @@
     <para os="a">Configure dropbear:</para>
 
-<screen os="b"><userinput>./configure --prefix=/usr CC="${CLFS_TARGET}-gcc" RANLIB="${CLFS_TARGET}-ranlib" AR="${CLFS_TARGET}-ar" STRIP="${CLFS_TARGET}-strip"</userinput></screen>
+<screen os="b"><userinput>./configure --prefix=/usr</userinput></screen>
 
     <note os="c">
@@ -44,5 +44,5 @@
     <para os="f">Install the package:</para>
 
-<screen os="g"><userinput>make MULTI=1 PROGRAMS="dropbear dbclient dropbearkey dropbearconvert scp" install DESTDIR=$CLFS/</userinput></screen>
+<screen os="g"><userinput>make MULTI=1 PROGRAMS="dropbear dbclient dropbearkey dropbearconvert scp" install DESTDIR=${CLFS}/</userinput></screen>
 
   </sect2>
Index: BOOK/beyond-clfs3/common/introduction.xml
===================================================================
--- BOOK/beyond-clfs3/common/introduction.xml	(revision 3bb8e6a13467e82e5668d5aa170defae6de2a40e)
+++ BOOK/beyond-clfs3/common/introduction.xml	(revision 155e7417ef8314e581d4aff8324d791a065ea0c1)
@@ -6,5 +6,5 @@
 ]>
 
-<sect1 id="ch-beyond-introduction">
+<sect1 id="ch-bclfs-introduction">
   <?dbhtml filename="introduction.html"?>
 
@@ -14,3 +14,7 @@
   functionality to our build.</para>
 
+  <para os="b">In this section, we explain how to compile embedded packages
+  for use with the system. We will also cover how to configure some of the
+  Busybox Utilities.</para>
+
 </sect1>
Index: BOOK/beyond-clfs3/common/packages.xml
===================================================================
--- BOOK/beyond-clfs3/common/packages.xml	(revision 155e7417ef8314e581d4aff8324d791a065ea0c1)
+++ BOOK/beyond-clfs3/common/packages.xml	(revision 155e7417ef8314e581d4aff8324d791a065ea0c1)
@@ -0,0 +1,30 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="ch-bclfs-packages-common">
+  <?dbhtml filename="packages.html"?>
+
+  <title>Beyond CLFS Packages</title>
+
+  <para>Download or otherwise obtain the following packages:</para>
+
+  <variablelist role="bclfs">
+
+    <varlistentry>
+      <term>Dropbear (&dropbear-version;) - <token>&dropbear-size;</token>:</term>
+      <listitem>
+        <para>Home page: <ulink url="&dropbear-home;"/></para>
+        <para>Download: <ulink url="&dropbear-url;"/></para>
+        <para>MD5 sum: <literal>&dropbear-md5;</literal></para>
+      </listitem>
+    </varlistentry>
+
+  </variablelist>
+
+  <para os="a">Total size of these packages: about <returnvalue/></para>
+
+</sect1>
Index: BOOK/beyond-clfs3/mips-chapter.xml
===================================================================
--- BOOK/beyond-clfs3/mips-chapter.xml	(revision 3bb8e6a13467e82e5668d5aa170defae6de2a40e)
+++ BOOK/beyond-clfs3/mips-chapter.xml	(revision 155e7417ef8314e581d4aff8324d791a065ea0c1)
@@ -13,4 +13,5 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/introduction.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/packages.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/dropbear.xml"/>
 
Index: BOOK/beyond-clfs3/x86-chapter.xml
===================================================================
--- BOOK/beyond-clfs3/x86-chapter.xml	(revision 3bb8e6a13467e82e5668d5aa170defae6de2a40e)
+++ BOOK/beyond-clfs3/x86-chapter.xml	(revision 155e7417ef8314e581d4aff8324d791a065ea0c1)
@@ -13,4 +13,5 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/introduction.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/packages.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/dropbear.xml"/>
 </chapter>
Index: BOOK/general.ent
===================================================================
--- BOOK/general.ent	(revision 3bb8e6a13467e82e5668d5aa170defae6de2a40e)
+++ BOOK/general.ent	(revision 155e7417ef8314e581d4aff8324d791a065ea0c1)
@@ -3,5 +3,5 @@
 <!ENTITY month "11"> <!-- Use two digits -->
 <!ENTITY month_name "November">
-<!ENTITY day "14"> <!-- Use two digits -->
+<!ENTITY day "15"> <!-- Use two digits -->
 <!ENTITY year "2006"> <!-- Use four digits -->
 