Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision 92833688d2b00e5ca655e3fb10d1a939e24f69c7)
+++ BOOK/introduction/common/changelog.xml	(revision 166fd8d309f5f863b6789e4554dc82c24d00b801)
@@ -38,9 +38,8 @@
 
     <listitem>
-      <para>September 11, 2006</para>
+      <para>September 18, 2006</para>
       <itemizedlist>
         <listitem>
-          <para>[jim] - Updated to Vim Patch -12, which contains upstream fixes
-	  This patch will be upgraded weekly, no further changelog entries needed.</para>
+          <para>[Chris] - Added Host System Requirements page (from 1.0 branch).</para>
         </listitem>
       </itemizedlist>
Index: BOOK/prologue/common/hostreqs.xml
===================================================================
--- BOOK/prologue/common/hostreqs.xml	(revision 166fd8d309f5f863b6789e4554dc82c24d00b801)
+++ BOOK/prologue/common/hostreqs.xml	(revision 166fd8d309f5f863b6789e4554dc82c24d00b801)
@@ -0,0 +1,119 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="pre-hostreqs">
+  <?dbhtml filename="hostreqs.html"?>
+
+  <title>Host System Requirements</title>
+
+    <para>You should be able to build a CLFS system from just about any
+    Unix-type operating system. Your host system should have the following
+    software with the minimum versions indicated. Also note that many
+    distributions will place software headers into separate packages, often in
+    the form of <quote>[package-name]-devel</quote> or
+    <quote>[package-name]-dev</quote>. Be sure to install those if
+    your distribution provides them.</para>
+
+  <itemizedlist spacing="compact">
+
+    <listitem>
+      <para><emphasis role="strong">Bash-2.05a</emphasis></para>
+    </listitem>
+
+    <listitem>
+      <para><emphasis role="strong">Binutils-2.12</emphasis> (Versions
+      greater than &binutils-version; are not recommended as they have
+      not been tested)</para>
+    </listitem>
+
+    <listitem>
+      <para><emphasis role="strong">Bzip2-1.0.2</emphasis></para>
+    </listitem>
+
+    <listitem>
+      <para><emphasis role="strong">Coreutils-5.0</emphasis> (or Sh-Utils-2.0,
+      Textutils-2.0, and Fileutils-4.1)</para>
+    </listitem>
+
+    <listitem>
+      <para><emphasis role="strong">Diffutils-2.8</emphasis></para>
+    </listitem>
+
+    <listitem>
+      <para><emphasis role="strong">Findutils-4.1.20</emphasis></para>
+    </listitem>
+
+    <listitem>
+      <para><emphasis role="strong">Gawk-3.0</emphasis></para>
+    </listitem>
+
+    <listitem>
+      <para><emphasis role="strong">Gcc-2.95.3</emphasis> (Versions
+      greater than &gcc-version; are not recommended as they have not
+      been tested)</para>
+    </listitem>
+
+    <listitem>
+      <para><emphasis role="strong">Glibc-2.2.5</emphasis> (Versions
+      greater than &glibc-version; are not recommended as they have
+      not been tested)</para>
+    </listitem>
+
+    <listitem>
+      <para><emphasis role="strong">Grep-2.5</emphasis></para>
+    </listitem>
+
+    <listitem>
+      <para><emphasis role="strong">Gzip-1.2.4</emphasis></para>
+    </listitem>
+
+    <listitem>
+      <para><emphasis role="strong">Make-3.79.1</emphasis></para>
+    </listitem>
+
+    <listitem>
+      <para><emphasis role="strong">Patch-2.5.4</emphasis></para>
+    </listitem>
+
+    <listitem>
+      <para><emphasis role="strong">Sed-3.0.2</emphasis></para>
+    </listitem>
+
+    <listitem>
+      <para><emphasis role="strong">Tar-1.14</emphasis></para>
+    </listitem>
+
+  </itemizedlist>
+
+  <para>To see whether your host system has all the appropriate versions, run the following:</para>
+
+<screen role="nodump"><userinput>cat &gt; version-check.sh &lt;&lt; "EOF"
+<literal>#!/bin/bash
+
+# Simple script to list version numbers of critical development tools
+
+bash --version | head -n1 | cut -d" " -f2-4
+echo -n "Binutils: "; ld --version | head -n1 | cut -d" " -f3-4
+bzip2 --version 2&gt;&amp;1 &lt; /dev/null | head -n1 | cut -d" " -f1,6-
+echo -n "Coreutils: "; chown --version | head -n1 | cut -d")" -f2
+diff --version | head -n1
+find --version | head -n1
+gawk --version | head -n1
+gcc --version | head -n1
+/lib/libc.so.6 | head -n1 | cut -d" " -f1-7
+grep --version | head -n1
+gzip --version | head -n1
+make --version | head -n1
+patch --version | head -n1
+sed --version | head -n1
+tar --version | head -n1</literal>
+
+EOF
+
+bash version-check.sh</userinput></screen>
+
+</sect1>
Index: BOOK/prologue/preface.xml
===================================================================
--- BOOK/prologue/preface.xml	(revision 92833688d2b00e5ca655e3fb10d1a939e24f69c7)
+++ BOOK/prologue/preface.xml	(revision 166fd8d309f5f863b6789e4554dc82c24d00b801)
@@ -15,4 +15,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/audience.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/prerequisites.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hostreqs.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/typography.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/organization.xml"/>