Index: BOOK/boot/alpha-chapter.xml
===================================================================
--- BOOK/boot/alpha-chapter.xml	(revision 75415106d50d2d2b46b830771127c5872f90a01f)
+++ BOOK/boot/alpha-chapter.xml	(revision 181b4810a66f743dc14aa122928aa0b2cd21a0cb)
@@ -29,4 +29,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="alpha/aboot.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/changingowner.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/howtoview.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/whatnext.xml"/>
 
Index: BOOK/boot/common/howtoview.xml
===================================================================
--- BOOK/boot/common/howtoview.xml	(revision 181b4810a66f743dc14aa122928aa0b2cd21a0cb)
+++ BOOK/boot/common/howtoview.xml	(revision 181b4810a66f743dc14aa122928aa0b2cd21a0cb)
@@ -0,0 +1,32 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="ch-boot-how-to-view">
+  <?dbhtml filename="how-to-view.html"?>
+
+  <title>How to View the Book</title>
+
+  <para>Most likely, you have been using a web browser or PDF viewer to read
+  the CLFS book so far. However, the temporary system in
+  <filename class="directory">/tools</filename> does not have
+  any of these, so you will need to find a way to continue following the book
+  after booting into the temporary build environment. One possibility might
+  be to simply have the book open on another computer, or even read a printed
+  copy, though one downside to this is that you cannot copy-and-paste commands.
+  Another solution could be to convert the CLFS book into plain text, thus
+  allowing it to be viewed with <command>more</command>, by using a command
+  such as the following:</para>
+
+<screen><userinput>lynx -dump /path/to/clfs/book.html &gt; ${CLFS}/root/CLFS-book.txt</userinput></screen>
+
+  <para>Other possible solutions include cross-compiling and installing
+  additional programs before booting, such as Lynx or Links to view the book,
+  or OpenSSH to allow remote login. See the CLFS Hints website at
+  <ulink url="http://hints.cross-lfs.org"/> for more suggestions that other
+  users have come up with.</para>
+
+</sect1>
Index: BOOK/boot/mips-chapter.xml
===================================================================
--- BOOK/boot/mips-chapter.xml	(revision 75415106d50d2d2b46b830771127c5872f90a01f)
+++ BOOK/boot/mips-chapter.xml	(revision 181b4810a66f743dc14aa122928aa0b2cd21a0cb)
@@ -29,4 +29,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/settingenviron.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/changingowner.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/howtoview.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="mips/colo.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/whatnext.xml"/>
Index: BOOK/boot/mips64-64-chapter.xml
===================================================================
--- BOOK/boot/mips64-64-chapter.xml	(revision 75415106d50d2d2b46b830771127c5872f90a01f)
+++ BOOK/boot/mips64-64-chapter.xml	(revision 181b4810a66f743dc14aa122928aa0b2cd21a0cb)
@@ -30,4 +30,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="mips64-64/flags.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/changingowner.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/howtoview.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="mips/colo.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/whatnext.xml"/>
Index: BOOK/boot/mips64-chapter.xml
===================================================================
--- BOOK/boot/mips64-chapter.xml	(revision 75415106d50d2d2b46b830771127c5872f90a01f)
+++ BOOK/boot/mips64-chapter.xml	(revision 181b4810a66f743dc14aa122928aa0b2cd21a0cb)
@@ -30,4 +30,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="mips64/flags.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/changingowner.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/howtoview.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="mips/colo.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/whatnext.xml"/>
Index: BOOK/boot/ppc-chapter.xml
===================================================================
--- BOOK/boot/ppc-chapter.xml	(revision 75415106d50d2d2b46b830771127c5872f90a01f)
+++ BOOK/boot/ppc-chapter.xml	(revision 181b4810a66f743dc14aa122928aa0b2cd21a0cb)
@@ -30,4 +30,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/settingenviron.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/changingowner.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/howtoview.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="ppc/yaboot.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/whatnext.xml"/>
Index: BOOK/boot/ppc64-64-chapter.xml
===================================================================
--- BOOK/boot/ppc64-64-chapter.xml	(revision 75415106d50d2d2b46b830771127c5872f90a01f)
+++ BOOK/boot/ppc64-64-chapter.xml	(revision 181b4810a66f743dc14aa122928aa0b2cd21a0cb)
@@ -31,4 +31,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="x86_64-64/flags.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/changingowner.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/howtoview.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="ppc/yaboot.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/whatnext.xml"/>
Index: BOOK/boot/ppc64-chapter.xml
===================================================================
--- BOOK/boot/ppc64-chapter.xml	(revision 75415106d50d2d2b46b830771127c5872f90a01f)
+++ BOOK/boot/ppc64-chapter.xml	(revision 181b4810a66f743dc14aa122928aa0b2cd21a0cb)
@@ -32,4 +32,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/flags.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/changingowner.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/howtoview.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="ppc64/yaboot.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/whatnext.xml"/>
Index: BOOK/boot/sparc-chapter.xml
===================================================================
--- BOOK/boot/sparc-chapter.xml	(revision 75415106d50d2d2b46b830771127c5872f90a01f)
+++ BOOK/boot/sparc-chapter.xml	(revision 181b4810a66f743dc14aa122928aa0b2cd21a0cb)
@@ -29,4 +29,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/settingenviron.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/changingowner.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/howtoview.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="sparc/silo.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/whatnext.xml"/>
Index: BOOK/boot/sparc64-64-chapter.xml
===================================================================
--- BOOK/boot/sparc64-64-chapter.xml	(revision 75415106d50d2d2b46b830771127c5872f90a01f)
+++ BOOK/boot/sparc64-64-chapter.xml	(revision 181b4810a66f743dc14aa122928aa0b2cd21a0cb)
@@ -30,4 +30,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="sparc64-64/flags.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/changingowner.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/howtoview.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="sparc/silo.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/whatnext.xml"/>
Index: BOOK/boot/sparc64-chapter.xml
===================================================================
--- BOOK/boot/sparc64-chapter.xml	(revision 75415106d50d2d2b46b830771127c5872f90a01f)
+++ BOOK/boot/sparc64-chapter.xml	(revision 181b4810a66f743dc14aa122928aa0b2cd21a0cb)
@@ -30,4 +30,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="sparc64/flags.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/changingowner.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/howtoview.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="sparc/silo.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/whatnext.xml"/>
Index: BOOK/boot/x86-chapter.xml
===================================================================
--- BOOK/boot/x86-chapter.xml	(revision 75415106d50d2d2b46b830771127c5872f90a01f)
+++ BOOK/boot/x86-chapter.xml	(revision 181b4810a66f743dc14aa122928aa0b2cd21a0cb)
@@ -28,4 +28,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/settingenviron.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/changingowner.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/howtoview.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/whatnext.xml"/>
 
Index: BOOK/boot/x86_64-64-chapter.xml
===================================================================
--- BOOK/boot/x86_64-64-chapter.xml	(revision 75415106d50d2d2b46b830771127c5872f90a01f)
+++ BOOK/boot/x86_64-64-chapter.xml	(revision 181b4810a66f743dc14aa122928aa0b2cd21a0cb)
@@ -29,4 +29,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="x86_64-64/flags.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/changingowner.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/howtoview.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/whatnext.xml"/>
 
Index: BOOK/boot/x86_64-chapter.xml
===================================================================
--- BOOK/boot/x86_64-chapter.xml	(revision 75415106d50d2d2b46b830771127c5872f90a01f)
+++ BOOK/boot/x86_64-chapter.xml	(revision 181b4810a66f743dc14aa122928aa0b2cd21a0cb)
@@ -29,4 +29,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="x86_64/flags.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/changingowner.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/howtoview.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/whatnext.xml"/>
 
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision 75415106d50d2d2b46b830771127c5872f90a01f)
+++ BOOK/introduction/common/changelog.xml	(revision 181b4810a66f743dc14aa122928aa0b2cd21a0cb)
@@ -51,4 +51,8 @@
           <para>[William Harrington] - Update Util-linux to 2.24.2.</para>
         </listitem>
+        <listitem>
+          <para>[Chris] - Added new page about how to view the book from
+          inside the temporary boot environment.</para>
+        </listitem>
       </itemizedlist>
     </listitem>