Index: BOOK/final-system/common/systemd.xml
===================================================================
--- BOOK/final-system/common/systemd.xml	(revision c831ac4e6a5e8f887c0e8d806b43142dad68f05b)
+++ BOOK/final-system/common/systemd.xml	(revision 216be86a04ca1f68158371cb0bf85d64605d630d)
@@ -25,12 +25,4 @@
     <title>Installation of Systemd</title>
 
-    <para os="p1">Systemd 209 merged several libraries into
-    <filename class="libraryfile">libsystemd</filename>, but some packages
-    that use systemd still expect those separate libraries. Apply a patch
-    to allow backwards compatibility with these packages by
-    installing Pkg-config files for the old libraries:</para>
-
-<screen os="p2"><userinput>patch -Np1 -i ../&systemd-compat-patch;</userinput></screen>
-
     <para os="s1">Prevent the <filename>Makefile</filename> from trying to run
     <command>setcap</command> on <command>systemd-detect-virt</command>,
@@ -46,16 +38,15 @@
 <screen os="s4"><userinput>sed -i '/timesyncd.conf/d' src/timesync/timesyncd.conf.in</userinput></screen>
 
-    <para os="s5">By default, <command>systemd-fsck</command> will run
-    <filename>/sbin/fsck</filename> with the <option>-l</option> option, which
-    applies an <function>flock</function> on the file system being checked.
-    This can conflict with an <function>flock</function> that
-    systemd itself puts on the file system, which could result in problems
-    booting. <command>fsck</command> will be fixed to avoid this problem in a
-    future release of Util-linux, but for now we will work around the issue by
-    simply preventing <command>systemd-fsck</command> from using <option>-l</option>:</para>
-
-<screen os="s6"><userinput>sed -i '/-l/d' src/fsck/fsck.c</userinput></screen>
-
     <para os="a">Prepare systemd for compilation:</para>
+
+    <para os="cc1">Create a file to declare some variables</para>
+
+    <screen os="cc2"><userinput>cat &gt; config.cache &lt;&lt; "EOF"
+        KILL="/bin/kill"
+        MOUNT_PATH="/bin/mount"
+        UMOUNT_PATH="/bin/umount"
+        SULOGIN="/sbin/sulogin"
+        XSLTPROC="/usr/bin/xsltproc"
+        EOF</userinput></screen>
 
 <screen os="b"><userinput>./configure \
@@ -68,15 +59,25 @@
     --with-rootlibdir=/lib \
     --enable-split-usr \
-    --disable-gudev \
+    --disable-firstboot \
+    --disable-ldconfig \
+    --disable-lto \
+    --disable-sysusers \
+    --with-default-dnssec=no \
     --with-kbd-loadkeys=/bin/loadkeys \
     --with-kbd-setfont=/bin/setfont \
     --with-dbuspolicydir=/etc/dbus-1/system.d \
-    --with-dbusinterfacedir=/usr/share/dbus-1/interfaces \
     --with-dbussessionservicedir=/usr/share/dbus-1/services \
     --with-dbussystemservicedir=/usr/share/dbus-1/system-services \
-    cc_cv_CFLAGS__flto=no</userinput></screen>
+    --config-cache</userinput></screen>
 
     <variablelist os="c">
       <title>The meaning of the configure options:</title>
+
+      <varlistentry>
+        <term><parameter>--config-cache</parameter></term>
+        <listitem>
+          <para>Use the created <filename>config.cache</filename>.</para>
+        </listitem>
+      </varlistentry>
 
       <varlistentry>
@@ -99,9 +100,38 @@
 
       <varlistentry>
-        <term><parameter>--disable-gudev</parameter></term>
-        <listitem>
-          <para>This switch prevents systemd from building
-          <filename class="libraryfile">libgudev</filename> as it requires
-          Glib, which is not installed in CLFS.</para>
+        <term><parameter>--disable-firstboot</parameter></term>
+        <listitem>
+          <para>This switch prevents installation of systemd services 
+            responsible for setting up the system for the first time.
+            They are not useful for CLFS as everything is done manually.
+          </para>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry>
+        <term><parameter>--disable-ldconfig</parameter></term>
+        <listitem>
+          <para>This switch prevents installation of a systemd unit that runs
+          <command>ldconfig</command> at boot, and increases boot time.
+          While it may be not useful for source distributions like CLFS,
+          this option may be removed.</para>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry>
+        <term><parameter>--disable-lto</parameter></term>
+        <listitem>
+          <para>This prevents the build system from using GCC's Link-time
+          optimization (LTO), to ensure that systemd's binaries will not try
+          to link to <filename class="libraryfile">libgcc_s</filename></para>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry>
+        <term><parameter>--disable-sysusers</parameter></term>
+        <listitem>
+            <para>This switch prevents install of systemd services which setup
+            the previously created <filename>/etc/group</filename> and
+            <filename>/etc/passwd</filename> files.</para>
         </listitem>
       </varlistentry>
@@ -116,9 +146,7 @@
 
       <varlistentry>
-        <term><parameter>cc_cv_CFLAGS__flto=no</parameter></term>
-        <listitem>
-          <para>This prevents the build system from using GCC's Link-time
-          optimization (LTO), to ensure that systemd's binaries will not try
-          to link to <filename class="libraryfile">libgcc_s</filename>.</para>
+        <term><parameter>--with-default-dnssec=no</parameter></term>
+        <listitem>
+          <para>This switch turns off the experimental DNNSEC support.</para>
         </listitem>
       </varlistentry>
@@ -132,12 +160,14 @@
     <para os="f">Prevent a broken test case from running:</para>
 
-<screen os="g"><userinput remap="test">sed -e "s:test/udev-test.pl::g" \
-    -e "s:test-bus-cleanup\$(EXEEXT) ::g" \
-    -e "s:test-bus-gvariant\$(EXEEXT) ::g" \
-    -i Makefile</userinput></screen>
+<screen os="g"><userinput remap="test">sed -e 's@test/udev-test.pl @@'  \
+        -e 's@test-copy$(EXEEXT) @@' \
+        -i Makefile.in
+</userinput></screen>
 
     <para os="h">To test the results, issue:</para>
 
-<screen os="i"><userinput remap="test">make check</userinput></screen>
+    <screen os="i"><userinput remap="test">
+            sed -i "s:minix:ext4:g" src/test/test-path-util.c
+            make check</userinput></screen>
 
     <para os="j">Install the package:</para>
@@ -148,10 +178,4 @@
 
 <screen os="m"><userinput>install -v -m644 man/*.html /usr/share/doc/systemd-&systemd-version;</userinput></screen>
-
-    <para os="n">Move the
-    <filename class="libraryfile">nss_myhostname</filename> library to
-    <filename class="directory">/lib</filename>:</para>
-
-<screen os="o"><userinput>mv -v /usr/lib/libnss_myhostname.so.2 /lib</userinput></screen>
 
     <para os="p">Remove an unnecessary directory:</para>
@@ -165,9 +189,4 @@
 done
 ln -sfv ../lib/systemd/systemd /sbin/init</userinput></screen>
-
-    <para os="t">Modify a configuration file which references a group that
-    doesn't exist:</para>
-
-<screen os="u"><userinput>sed -i "s@root lock@root root@g" /usr/lib/tmpfiles.d/legacy.conf</userinput></screen>
 
   </sect2>
Index: BOOK/final-system/multilib/systemd-64bit.xml
===================================================================
--- BOOK/final-system/multilib/systemd-64bit.xml	(revision c831ac4e6a5e8f887c0e8d806b43142dad68f05b)
+++ BOOK/final-system/multilib/systemd-64bit.xml	(revision 216be86a04ca1f68158371cb0bf85d64605d630d)
@@ -23,12 +23,4 @@
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../common/systemd.xml"
-    xpointer="xpointer(//*[@os='p1'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/systemd.xml"
-    xpointer="xpointer(//*[@os='p2'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/systemd.xml"
     xpointer="xpointer(//*[@os='s1'])"/>
 
@@ -47,9 +39,9 @@
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../common/systemd.xml"
-    xpointer="xpointer(//*[@os='s5'])"/>
+    xpointer="xpointer(//*[@os='cc1'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../common/systemd.xml"
-    xpointer="xpointer(//*[@os='s6'])"/>
+    xpointer="xpointer(//*[@os='cc2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
@@ -62,5 +54,4 @@
     --sysconfdir=/etc \
     --localstatedir=/var \
-    --libdir=/usr/lib64 \
     --libexecdir=/usr/lib64 \
     --docdir=/usr/share/doc/systemd-&systemd-version; \
@@ -68,12 +59,15 @@
     --with-rootlibdir=/lib64 \
     --enable-split-usr \
-    --disable-gudev \
+    --disable-firstboot \
+    --disable-ldconfig \
+    --disable-lto \
+    --disable-sysusers \
+    --with-default-dnssec=no \
     --with-kbd-loadkeys=/bin/loadkeys \
     --with-kbd-setfont=/bin/setfont \
     --with-dbuspolicydir=/etc/dbus-1/system.d \
-    --with-dbusinterfacedir=/usr/share/dbus-1/interfaces \
     --with-dbussessionservicedir=/usr/share/dbus-1/services \
     --with-dbussystemservicedir=/usr/share/dbus-1/system-services \
-    cc_cv_CFLAGS__flto=no</userinput></screen>
+    --config-cache</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
@@ -123,10 +117,4 @@
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../common/systemd.xml"
-    xpointer="xpointer(//*[@os='n'])"/>
-
-<screen><userinput>mv -v /usr/lib64/libnss_myhostname.so.2 /lib64</userinput></screen>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/systemd.xml"
     xpointer="xpointer(//*[@os='p'])"/>
 
@@ -143,12 +131,4 @@
     xpointer="xpointer(//*[@os='s'])"/>
 
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/systemd.xml"
-    xpointer="xpointer(//*[@os='t'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/systemd.xml"
-    xpointer="xpointer(//*[@os='u'])"/>
-
   </sect2>
 
Index: BOOK/final-system/multilib/systemd-n32.xml
===================================================================
--- BOOK/final-system/multilib/systemd-n32.xml	(revision c831ac4e6a5e8f887c0e8d806b43142dad68f05b)
+++ BOOK/final-system/multilib/systemd-n32.xml	(revision 216be86a04ca1f68158371cb0bf85d64605d630d)
@@ -23,25 +23,20 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="systemd.xml"
-    xpointer="xpointer(//*[@os='mlw1'])"/>
+    href="../common/systemd.xml"
+    xpointer="xpointer(//*[@os='cc1'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../common/systemd.xml"
-    xpointer="xpointer(//*[@os='p1'])"/>
+    xpointer="xpointer(//*[@os='cc2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../common/systemd.xml"
-    xpointer="xpointer(//*[@os='p2'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="systemd.xml"
     xpointer="xpointer(//*[@os='a'])"/>
 
-<screen><userinput>CC="gcc ${BUILDN32}" PKG_CONFIG_PATH="${PKG_CONFIG_PATHN32}" \
+<screen os="b"><userinput>CC="gcc ${BUILDN32}" PKG_CONFIG_PATH="${PKG_CONFIG_PATHN32}" \
 ./configure \
     --prefix=/usr \
     --sysconfdir=/etc \
     --localstatedir=/var \
-    --libdir=/usr/lib32 \
     --libexecdir=/usr/lib32 \
     --docdir=/usr/share/doc/systemd-&systemd-version; \
@@ -49,12 +44,15 @@
     --with-rootlibdir=/lib32 \
     --enable-split-usr \
-    --disable-gudev \
+    --disable-firstboot \
+    --disable-ldconfig \
+    --disable-lto \
+    --disable-sysusers \
+    --with-default-dnssec=no \
     --with-kbd-loadkeys=/bin/loadkeys \
     --with-kbd-setfont=/bin/setfont \
     --with-dbuspolicydir=/etc/dbus-1/system.d \
-    --with-dbusinterfacedir=/usr/share/dbus-1/interfaces \
     --with-dbussessionservicedir=/usr/share/dbus-1/services \
     --with-dbussystemservicedir=/usr/share/dbus-1/system-services \
-    cc_cv_CFLAGS__flto=no</userinput></screen>
+    --config-cache</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
@@ -74,10 +72,4 @@
     xpointer="xpointer(//*[@os='k'])"/>
 
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/systemd.xml"
-    xpointer="xpointer(//*[@os='n'])"/>
-
-<screen><userinput>mv -v /usr/lib32/libnss_myhostname.so.2 /lib32</userinput></screen>
-
   </sect2>
 
Index: BOOK/final-system/multilib/systemd.xml
===================================================================
--- BOOK/final-system/multilib/systemd.xml	(revision c831ac4e6a5e8f887c0e8d806b43142dad68f05b)
+++ BOOK/final-system/multilib/systemd.xml	(revision 216be86a04ca1f68158371cb0bf85d64605d630d)
@@ -22,20 +22,4 @@
   <sect2 role="installation">
     <title>Installation of Systemd</title>
-
-    <note os="mlw1">
-      <para>If you do not have Linux-PAM installed in your system you can safely
-      skip this page. If you do have Linux-PAM installed and you wish to use
-      <filename class="libraryfile">pam_systemd.so</filename>
-      to register and control user sessions within the systemd control group
-      hierarchy, follow the instructions to install the module.</para>
-    </note>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/systemd.xml"
-    xpointer="xpointer(//*[@os='p1'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/systemd.xml"
-    xpointer="xpointer(//*[@os='p2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
@@ -76,12 +60,4 @@
 make install-pkgconfiglibDATA</userinput></screen>
 
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/systemd.xml"
-    xpointer="xpointer(//*[@os='n'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/systemd.xml"
-    xpointer="xpointer(//*[@os='o'])"/>
-
   </sect2>
 
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision c831ac4e6a5e8f887c0e8d806b43142dad68f05b)
+++ BOOK/introduction/common/changelog.xml	(revision 216be86a04ca1f68158371cb0bf85d64605d630d)
@@ -40,6 +40,10 @@
       <itemizedlist>
         <listitem>
-          <para>[William Harrington] - Upgrade Util-Linux to 2.29.2. Fixes
+          <para>[william harrington] - upgrade util-linux to 2.29.2. fixes
           ticket <ulink url="&clfs-ticket-root;1105">#1038.</ulink></para> 
+        </listitem>
+        <listitem>
+          <para>[william harrington] - upgrade Systemd 233. fixes
+          ticket <ulink url="&clfs-ticket-root;1105">#1003.</ulink></para> 
         </listitem>
       </itemizedlist>
Index: BOOK/materials/common/patches.xml
===================================================================
--- BOOK/materials/common/patches.xml	(revision c831ac4e6a5e8f887c0e8d806b43142dad68f05b)
+++ BOOK/materials/common/patches.xml	(revision 216be86a04ca1f68158371cb0bf85d64605d630d)
@@ -142,13 +142,4 @@
 
     <varlistentry>
-      <term>Systemd Compat Patch - <token>&systemd-compat-patch-size;</token>:</term>
-      <listitem>
-        <para>Download: <ulink
-        url="&patches-root;&systemd-compat-patch;"/></para>
-        <para>MD5 sum: <literal>&systemd-compat-patch-md5;</literal></para>
-      </listitem>
-    </varlistentry>
-
-    <varlistentry>
       <term>Sysvinit Tools Updates Patch - <token>&sysvinit-tools_updates-patch-size;</token>:</term>
       <listitem>
Index: BOOK/packages.ent
===================================================================
--- BOOK/packages.ent	(revision c831ac4e6a5e8f887c0e8d806b43142dad68f05b)
+++ BOOK/packages.ent	(revision 216be86a04ca1f68158371cb0bf85d64605d630d)
@@ -442,8 +442,8 @@
 <!ENTITY sysvinit-home "http://savannah.nongnu.org/projects/sysvinit">
 
-<!ENTITY systemd-version "213">
-<!ENTITY systemd-size "2,783 KB">
-<!ENTITY systemd-url "http://www.freedesktop.org/software/systemd/systemd-&systemd-version;.tar.xz">
-<!ENTITY systemd-md5 "06496edcf86ddf6d8c12d72ba78e735d">
+<!ENTITY systemd-version "233">
+<!ENTITY systemd-size "4,043 KB">
+<!ENTITY systemd-url "http://www.linuxfromscratch.org/~krejzi/systemd/systemd-&systemd-version;.tar.xz">
+<!ENTITY systemd-md5 "8d95734fdfcd13855746f143de1e3c86">
 <!ENTITY systemd-home "http://freedesktop.org/wiki/Software/systemd">
 
Index: BOOK/patches.ent
===================================================================
--- BOOK/patches.ent	(revision c831ac4e6a5e8f887c0e8d806b43142dad68f05b)
+++ BOOK/patches.ent	(revision 216be86a04ca1f68158371cb0bf85d64605d630d)
@@ -67,8 +67,4 @@
 <!ENTITY readline-branch_update-patch-md5 "bb8d37fd00abc74a81563ebfcf64af4c">
 <!ENTITY readline-branch_update-patch-size "5.733 KB">
-
-<!ENTITY systemd-compat-patch "systemd-&systemd-version;-compat-1.patch">
-<!ENTITY systemd-compat-patch-md5 "2a5816fdfc8bd2376a40c382004ad1ac">
-<!ENTITY systemd-compat-patch-size "7.863 KB">
 
 <!ENTITY sysvinit-tools_updates-patch "sysvinit-&sysvinit-version;-tools_updates-1.patch">