Index: BOOK/boot/common/fstab.xml
===================================================================
--- BOOK/boot/common/fstab.xml	(revision c25b8982414fa799af36a516cd71189a3bb86f99)
+++ BOOK/boot/common/fstab.xml	(revision 286ecce530b585559707983d241cf346430eaac6)
@@ -36,5 +36,5 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-  href="../../bootable/common/fstab.xml"
+  href="../../system-config/common/fstab.xml"
   xpointer="xpointer(//*[@os='b'])"/>
 
Index: OK/bootable/common/fstab.xml
===================================================================
--- BOOK/bootable/common/fstab.xml	(revision c25b8982414fa799af36a516cd71189a3bb86f99)
+++ 	(revision )
@@ -1,45 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-bootable-fstab">
-  <?dbhtml filename="fstab.html"?>
-
-  <title>Creating the /etc/fstab File</title>
-
-  <indexterm zone="ch-bootable-fstab">
-    <primary sortas="e-/etc/fstab">/etc/fstab</primary>
-    <secondary>bootable</secondary>
-  </indexterm>
-
-  <para os="a">The <filename>/etc/fstab</filename> file is used by some
-  programs to determine where file systems are to be mounted by default,
-  in which order, and which must be checked (for integrity errors) prior
-  to mounting. Create a new file systems table like this:</para>
-
-<screen><userinput>cat &gt; /etc/fstab &lt;&lt; "EOF"
-<literal># Begin /etc/fstab
-
-# file system  mount-point  type   options          dump  fsck
-#                                                         order
-
-/dev/<replaceable>[xxx]</replaceable>     /            <replaceable>[fff]</replaceable>  defaults         1     1
-/dev/<replaceable>[yyy]</replaceable>     swap         swap   pri=1            0     0
-devpts         /dev/pts     devpts gid=&gid-tty;,mode=620   0     0
-shm            /dev/shm     tmpfs  defaults         0     0
-
-# End /etc/fstab</literal>
-EOF</userinput></screen>
-
-  <para os="b">Replace <replaceable>[xxx]</replaceable>,
-  <replaceable>[yyy]</replaceable>, and <replaceable>[fff]</replaceable>
-  with the values appropriate for the system, for example, <filename
-  class="partition">hda2</filename>, <filename
-  class="partition">hda5</filename>, and <systemitem
-  class="filesystem">ext2</systemitem>. For details on the six
-  fields in this file, see <command>man 5 fstab</command>.</para>
-
-</sect1>
Index: BOOK/bootable/mips-chapter.xml
===================================================================
--- BOOK/bootable/mips-chapter.xml	(revision c25b8982414fa799af36a516cd71189a3bb86f99)
+++ BOOK/bootable/mips-chapter.xml	(revision 286ecce530b585559707983d241cf346430eaac6)
@@ -13,5 +13,4 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/introduction.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/fstab.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="mips/kernel.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="mips/arcload.xml"/>
Index: BOOK/bootable/mips64-64-chapter.xml
===================================================================
--- BOOK/bootable/mips64-64-chapter.xml	(revision c25b8982414fa799af36a516cd71189a3bb86f99)
+++ BOOK/bootable/mips64-64-chapter.xml	(revision 286ecce530b585559707983d241cf346430eaac6)
@@ -13,5 +13,4 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/introduction.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/fstab.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="mips/kernel.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="mips64/arcload.xml"/>
Index: BOOK/bootable/mips64-chapter.xml
===================================================================
--- BOOK/bootable/mips64-chapter.xml	(revision c25b8982414fa799af36a516cd71189a3bb86f99)
+++ BOOK/bootable/mips64-chapter.xml	(revision 286ecce530b585559707983d241cf346430eaac6)
@@ -13,5 +13,4 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/introduction.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/fstab.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="mips/kernel.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="mips64/arcload.xml"/>
Index: BOOK/bootable/ppc-chapter.xml
===================================================================
--- BOOK/bootable/ppc-chapter.xml	(revision c25b8982414fa799af36a516cd71189a3bb86f99)
+++ BOOK/bootable/ppc-chapter.xml	(revision 286ecce530b585559707983d241cf346430eaac6)
@@ -13,5 +13,4 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/introduction.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/fstab.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="ppc/kernel.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="ppc/yaboot.xml"/>
Index: BOOK/bootable/ppc64-64-chapter.xml
===================================================================
--- BOOK/bootable/ppc64-64-chapter.xml	(revision c25b8982414fa799af36a516cd71189a3bb86f99)
+++ BOOK/bootable/ppc64-64-chapter.xml	(revision 286ecce530b585559707983d241cf346430eaac6)
@@ -13,5 +13,4 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/introduction.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/fstab.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="ppc/kernel.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="ppc/yaboot.xml"/>
Index: BOOK/bootable/ppc64-chapter.xml
===================================================================
--- BOOK/bootable/ppc64-chapter.xml	(revision c25b8982414fa799af36a516cd71189a3bb86f99)
+++ BOOK/bootable/ppc64-chapter.xml	(revision 286ecce530b585559707983d241cf346430eaac6)
@@ -13,5 +13,4 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/introduction.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/fstab.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="sparc/kernel.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="ppc64/yaboot.xml"/>
Index: BOOK/bootable/sparc-chapter.xml
===================================================================
--- BOOK/bootable/sparc-chapter.xml	(revision c25b8982414fa799af36a516cd71189a3bb86f99)
+++ BOOK/bootable/sparc-chapter.xml	(revision 286ecce530b585559707983d241cf346430eaac6)
@@ -13,5 +13,4 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/introduction.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="sparc/fstab.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="sparc/kernel.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="sparc/silo.xml"/>
Index: OK/bootable/sparc/fstab.xml
===================================================================
--- BOOK/bootable/sparc/fstab.xml	(revision c25b8982414fa799af36a516cd71189a3bb86f99)
+++ 	(revision )
@@ -1,44 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-bootable-fstab">
-  <?dbhtml filename="fstab.html"?>
-
-  <title>Creating the /etc/fstab File</title>
-
-  <indexterm zone="ch-bootable-fstab">
-    <primary sortas="e-/etc/fstab">/etc/fstab</primary>
-    <secondary>bootable</secondary>
-  </indexterm>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-  href="../common/fstab.xml"
-  xpointer="xpointer(//*[@os='a'])"/>
-
-<screen><userinput>cat &gt; /etc/fstab &lt;&lt; "EOF"
-<literal># Begin /etc/fstab
-
-# file system  mount-point     type        options          dump  fsck
-#                                                                 order
-
-/dev/<replaceable>[xxx]</replaceable>     /               <replaceable>[fff]</replaceable>       defaults         1     1
-/dev/<replaceable>[yyy]</replaceable>     swap            swap        pri=1            0     0
-proc           /proc           proc        defaults         0     0
-sysfs          /sys            sysfs       defaults         0     0
-devpts         /dev/pts        devpts      gid=&gid-tty;,mode=620  0     0
-shm            /dev/shm        tmpfs       defaults         0     0
-tmpfs          /run            tmpfs       defaults         0     0
-devtmpfs       /dev            devtmpfs    mode=0755,nosuid 0     0
-none           /proc/openprom  openpromfs  defaults         0     0
-# End /etc/fstab</literal>
-EOF</userinput></screen>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-  href="../common/fstab.xml"
-  xpointer="xpointer(//*[@os='b'])"/>
-
-</sect1>
Index: BOOK/bootable/sparc64-64-chapter.xml
===================================================================
--- BOOK/bootable/sparc64-64-chapter.xml	(revision c25b8982414fa799af36a516cd71189a3bb86f99)
+++ BOOK/bootable/sparc64-64-chapter.xml	(revision 286ecce530b585559707983d241cf346430eaac6)
@@ -13,5 +13,4 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/introduction.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="sparc/fstab.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="sparc/kernel.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="sparc/silo.xml"/>
Index: BOOK/bootable/sparc64-chapter.xml
===================================================================
--- BOOK/bootable/sparc64-chapter.xml	(revision c25b8982414fa799af36a516cd71189a3bb86f99)
+++ BOOK/bootable/sparc64-chapter.xml	(revision 286ecce530b585559707983d241cf346430eaac6)
@@ -13,5 +13,4 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/introduction.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="sparc/fstab.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="sparc/kernel.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="sparc/silo.xml"/>
Index: BOOK/bootable/x86-chapter.xml
===================================================================
--- BOOK/bootable/x86-chapter.xml	(revision c25b8982414fa799af36a516cd71189a3bb86f99)
+++ BOOK/bootable/x86-chapter.xml	(revision 286ecce530b585559707983d241cf346430eaac6)
@@ -13,5 +13,4 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/introduction.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/fstab.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="x86/kernel.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="x86/grub.xml"/>
Index: BOOK/bootable/x86_64-64-chapter.xml
===================================================================
--- BOOK/bootable/x86_64-64-chapter.xml	(revision c25b8982414fa799af36a516cd71189a3bb86f99)
+++ BOOK/bootable/x86_64-64-chapter.xml	(revision 286ecce530b585559707983d241cf346430eaac6)
@@ -13,5 +13,4 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/introduction.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/fstab.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="x86_64/kernel.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="x86/grub.xml"/>
Index: BOOK/bootable/x86_64-chapter.xml
===================================================================
--- BOOK/bootable/x86_64-chapter.xml	(revision c25b8982414fa799af36a516cd71189a3bb86f99)
+++ BOOK/bootable/x86_64-chapter.xml	(revision 286ecce530b585559707983d241cf346430eaac6)
@@ -13,5 +13,4 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/introduction.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/fstab.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="x86_64/kernel.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="x86/grub.xml"/>
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision c25b8982414fa799af36a516cd71189a3bb86f99)
+++ BOOK/introduction/common/changelog.xml	(revision 286ecce530b585559707983d241cf346430eaac6)
@@ -51,4 +51,7 @@
           <para>[William Harrington] - Update Man-pages to 3.67.</para>
         </listitem>
+        <listitem>
+          <para>[Chris] - Moved creation of /etc/fstab to system-config.</para>
+        </listitem>
       </itemizedlist>
     </listitem>
Index: BOOK/system-config/common/fstab.xml
===================================================================
--- BOOK/system-config/common/fstab.xml	(revision 286ecce530b585559707983d241cf346430eaac6)
+++ BOOK/system-config/common/fstab.xml	(revision 286ecce530b585559707983d241cf346430eaac6)
@@ -0,0 +1,45 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="ch-scripts-fstab">
+  <?dbhtml filename="fstab.html"?>
+
+  <title>Creating the /etc/fstab File</title>
+
+  <indexterm zone="ch-scripts-fstab">
+    <primary sortas="e-/etc/fstab">/etc/fstab</primary>
+    <secondary>system config</secondary>
+  </indexterm>
+
+  <para os="a">The <filename>/etc/fstab</filename> file is used by some
+  programs to determine where file systems are to be mounted by default,
+  in which order, and which must be checked (for integrity errors) prior
+  to mounting. Create a new file systems table like this:</para>
+
+<screen><userinput>cat &gt; /etc/fstab &lt;&lt; "EOF"
+<literal># Begin /etc/fstab
+
+# file system  mount-point  type   options          dump  fsck
+#                                                         order
+
+/dev/<replaceable>[xxx]</replaceable>     /            <replaceable>[fff]</replaceable>  defaults         1     1
+/dev/<replaceable>[yyy]</replaceable>     swap         swap   pri=1            0     0
+devpts         /dev/pts     devpts gid=&gid-tty;,mode=620   0     0
+shm            /dev/shm     tmpfs  defaults         0     0
+
+# End /etc/fstab</literal>
+EOF</userinput></screen>
+
+  <para os="b">Replace <replaceable>[xxx]</replaceable>,
+  <replaceable>[yyy]</replaceable>, and <replaceable>[fff]</replaceable>
+  with the values appropriate for the system, for example, <filename
+  class="partition">hda2</filename>, <filename
+  class="partition">hda5</filename>, and <systemitem
+  class="filesystem">ext2</systemitem>. For details on the six
+  fields in this file, see <command>man 5 fstab</command>.</para>
+
+</sect1>
Index: BOOK/system-config/mips-chapter.xml
===================================================================
--- BOOK/system-config/mips-chapter.xml	(revision c25b8982414fa799af36a516cd71189a3bb86f99)
+++ BOOK/system-config/mips-chapter.xml	(revision 286ecce530b585559707983d241cf346430eaac6)
@@ -22,4 +22,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/locale.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/inputrc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/fstab.xml"/>
 
 </chapter>
Index: BOOK/system-config/mips64-64-chapter.xml
===================================================================
--- BOOK/system-config/mips64-64-chapter.xml	(revision c25b8982414fa799af36a516cd71189a3bb86f99)
+++ BOOK/system-config/mips64-64-chapter.xml	(revision 286ecce530b585559707983d241cf346430eaac6)
@@ -22,4 +22,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/locale.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/inputrc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/fstab.xml"/>
 
 </chapter>
Index: BOOK/system-config/mips64-chapter.xml
===================================================================
--- BOOK/system-config/mips64-chapter.xml	(revision c25b8982414fa799af36a516cd71189a3bb86f99)
+++ BOOK/system-config/mips64-chapter.xml	(revision 286ecce530b585559707983d241cf346430eaac6)
@@ -22,4 +22,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/locale.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/inputrc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/fstab.xml"/>
 
 </chapter>
Index: BOOK/system-config/ppc-chapter.xml
===================================================================
--- BOOK/system-config/ppc-chapter.xml	(revision c25b8982414fa799af36a516cd71189a3bb86f99)
+++ BOOK/system-config/ppc-chapter.xml	(revision 286ecce530b585559707983d241cf346430eaac6)
@@ -22,4 +22,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/locale.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/inputrc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/fstab.xml"/>
 
 </chapter>
Index: BOOK/system-config/ppc64-64-chapter.xml
===================================================================
--- BOOK/system-config/ppc64-64-chapter.xml	(revision c25b8982414fa799af36a516cd71189a3bb86f99)
+++ BOOK/system-config/ppc64-64-chapter.xml	(revision 286ecce530b585559707983d241cf346430eaac6)
@@ -22,4 +22,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/locale.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/inputrc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/fstab.xml"/>
 
 </chapter>
Index: BOOK/system-config/ppc64-chapter.xml
===================================================================
--- BOOK/system-config/ppc64-chapter.xml	(revision c25b8982414fa799af36a516cd71189a3bb86f99)
+++ BOOK/system-config/ppc64-chapter.xml	(revision 286ecce530b585559707983d241cf346430eaac6)
@@ -22,4 +22,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/locale.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/inputrc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/fstab.xml"/>
 
 </chapter>
Index: BOOK/system-config/sparc-chapter.xml
===================================================================
--- BOOK/system-config/sparc-chapter.xml	(revision c25b8982414fa799af36a516cd71189a3bb86f99)
+++ BOOK/system-config/sparc-chapter.xml	(revision 286ecce530b585559707983d241cf346430eaac6)
@@ -22,4 +22,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/locale.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/inputrc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="sparc/fstab.xml"/>
 
 </chapter>
Index: BOOK/system-config/sparc/fstab.xml
===================================================================
--- BOOK/system-config/sparc/fstab.xml	(revision 286ecce530b585559707983d241cf346430eaac6)
+++ BOOK/system-config/sparc/fstab.xml	(revision 286ecce530b585559707983d241cf346430eaac6)
@@ -0,0 +1,44 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="ch-scripts-fstab">
+  <?dbhtml filename="fstab.html"?>
+
+  <title>Creating the /etc/fstab File</title>
+
+  <indexterm zone="ch-scripts-fstab">
+    <primary sortas="e-/etc/fstab">/etc/fstab</primary>
+    <secondary>system config</secondary>
+  </indexterm>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+  href="../common/fstab.xml"
+  xpointer="xpointer(//*[@os='a'])"/>
+
+<screen><userinput>cat &gt; /etc/fstab &lt;&lt; "EOF"
+<literal># Begin /etc/fstab
+
+# file system  mount-point     type        options          dump  fsck
+#                                                                 order
+
+/dev/<replaceable>[xxx]</replaceable>     /               <replaceable>[fff]</replaceable>       defaults         1     1
+/dev/<replaceable>[yyy]</replaceable>     swap            swap        pri=1            0     0
+proc           /proc           proc        defaults         0     0
+sysfs          /sys            sysfs       defaults         0     0
+devpts         /dev/pts        devpts      gid=&gid-tty;,mode=620  0     0
+shm            /dev/shm        tmpfs       defaults         0     0
+tmpfs          /run            tmpfs       defaults         0     0
+devtmpfs       /dev            devtmpfs    mode=0755,nosuid 0     0
+none           /proc/openprom  openpromfs  defaults         0     0
+# End /etc/fstab</literal>
+EOF</userinput></screen>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+  href="../common/fstab.xml"
+  xpointer="xpointer(//*[@os='b'])"/>
+
+</sect1>
Index: BOOK/system-config/sparc64-64-chapter.xml
===================================================================
--- BOOK/system-config/sparc64-64-chapter.xml	(revision c25b8982414fa799af36a516cd71189a3bb86f99)
+++ BOOK/system-config/sparc64-64-chapter.xml	(revision 286ecce530b585559707983d241cf346430eaac6)
@@ -22,4 +22,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/locale.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/inputrc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="sparc/fstab.xml"/>
 
 </chapter>
Index: BOOK/system-config/sparc64-chapter.xml
===================================================================
--- BOOK/system-config/sparc64-chapter.xml	(revision c25b8982414fa799af36a516cd71189a3bb86f99)
+++ BOOK/system-config/sparc64-chapter.xml	(revision 286ecce530b585559707983d241cf346430eaac6)
@@ -22,4 +22,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/locale.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/inputrc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="sparc/fstab.xml"/>
 
 </chapter>
Index: BOOK/system-config/x86-chapter.xml
===================================================================
--- BOOK/system-config/x86-chapter.xml	(revision c25b8982414fa799af36a516cd71189a3bb86f99)
+++ BOOK/system-config/x86-chapter.xml	(revision 286ecce530b585559707983d241cf346430eaac6)
@@ -22,4 +22,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/locale.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/inputrc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/fstab.xml"/>
 
 </chapter>
Index: BOOK/system-config/x86_64-64-chapter.xml
===================================================================
--- BOOK/system-config/x86_64-64-chapter.xml	(revision c25b8982414fa799af36a516cd71189a3bb86f99)
+++ BOOK/system-config/x86_64-64-chapter.xml	(revision 286ecce530b585559707983d241cf346430eaac6)
@@ -22,4 +22,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/locale.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/inputrc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/fstab.xml"/>
 
 </chapter>
Index: BOOK/system-config/x86_64-chapter.xml
===================================================================
--- BOOK/system-config/x86_64-chapter.xml	(revision c25b8982414fa799af36a516cd71189a3bb86f99)
+++ BOOK/system-config/x86_64-chapter.xml	(revision 286ecce530b585559707983d241cf346430eaac6)
@@ -22,4 +22,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/locale.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/inputrc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/fstab.xml"/>
 
 </chapter>