Index: boot/alpha/kernel.xml
===================================================================
--- boot/alpha/kernel.xml	(revision 61f8f69524760734dcecb88946e67493b4ed39f5)
+++ boot/alpha/kernel.xml	(revision 287d7b97a3cbc872e0f92d4f299a9446528d40a3)
@@ -98,5 +98,5 @@
     xpointer="xpointer(//*[@os='v'])"/>
 
-<screen><userinput>cp vmlinux ${LFS}/boot/lfskernel-&linux-version;</userinput></screen>
+<screen><userinput>cp -v vmlinux ${LFS}/boot/lfskernel-&linux-version;</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: boot/common/bootscripts.xml
===================================================================
--- boot/common/bootscripts.xml	(revision 61f8f69524760734dcecb88946e67493b4ed39f5)
+++ boot/common/bootscripts.xml	(revision 287d7b97a3cbc872e0f92d4f299a9446528d40a3)
@@ -29,9 +29,9 @@
     <para>Make bootscripts usable at boot:</para>
 
-<screen><userinput>cp ${LFS}/etc/rc.d/init.d/functions{,.bak}
+<screen><userinput>cp -v ${LFS}/etc/rc.d/init.d/functions{,.bak}
 sed 's|/bin:/usr/bin:/sbin:/usr/sbin|/tools/bin:/tools/sbin:/bin:/sbin|g' \
    ${LFS}/etc/rc.d/init.d/functions.bak \
    > ${LFS}/etc/rc.d/init.d/functions
-cp ${LFS}/etc/rc.d/init.d/mountfs{,.bak}
+cp -v ${LFS}/etc/rc.d/init.d/mountfs{,.bak}
 sed 's@mount -f /sys || failed=1@mount -f /sys | udevstart || failed=1@' \
    ${LFS}/etc/rc.d/init.d/mountfs.bak \
Index: boot/common/changingowner.xml
===================================================================
--- boot/common/changingowner.xml	(revision 61f8f69524760734dcecb88946e67493b4ed39f5)
+++ boot/common/changingowner.xml	(revision 287d7b97a3cbc872e0f92d4f299a9446528d40a3)
@@ -19,6 +19,6 @@
   <systemitem class="username">root</systemitem>. Change the ownership for $LFS and its subdirectories by running these commands:</para>
 
-<screen><userinput>chown root:root ${LFS}
-chown -R root:root $LFS/{bin,boot,dev,etc,home,lib,media,mnt,opt,proc,root,sbin,srv,sys,tmp,usr,var}</userinput></screen>
+<screen><userinput>chown -v root:root ${LFS}
+chown -Rv root:root $LFS/{bin,boot,dev,etc,home,lib,media,mnt,opt,proc,root,sbin,srv,sys,tmp,usr,var}</userinput></screen>
 
   <para os="b">The same issue also exists with <filename class="directory">/tools</filename> and <filename class="directory">/cross-tools</filename>. Although these directories can be deleted once the
@@ -39,6 +39,6 @@
   the following commands:</para>
 
-<screen><userinput>chown -R root:root /tools
-chown -R root:root /cross-tools</userinput></screen>
+<screen><userinput>chown -Rv root:root /tools
+chown -Rv root:root /cross-tools</userinput></screen>
 
 </sect1>
Index: boot/common/creatingdirs.xml
===================================================================
--- boot/common/creatingdirs.xml	(revision 61f8f69524760734dcecb88946e67493b4ed39f5)
+++ boot/common/creatingdirs.xml	(revision 287d7b97a3cbc872e0f92d4f299a9446528d40a3)
@@ -14,23 +14,23 @@
   standard directory tree by issuing the following commands:</para>
 
-<screen><userinput>install -d ${LFS}/{bin,boot,dev,etc/opt,home,lib,mnt}
-install -d ${LFS}/{sbin,srv,usr/local,var,opt,proc,sys}
-install -d ${LFS}/root -m 0750
-install -d ${LFS}/tmp ${LFS}/var/tmp -m 1777
-install -d ${LFS}/media/{floppy,cdrom}
-install -d ${LFS}/usr/{bin,include,lib,sbin,share,src}
-ln -s share/{man,doc,info} ${LFS}/usr
-install -d ${LFS}/usr/share/{doc,info,locale,man}
-install -d ${LFS}/usr/share/{misc,terminfo,zoneinfo}
-install -d ${LFS}/usr/share/man/man{1,2,3,4,5,6,7,8}
-install -d ${LFS}/usr/local/{bin,etc,include,lib,sbin,share,src}
-ln -s share/{man,doc,info} ${LFS}/usr/local
-install -d ${LFS}/usr/local/share/{doc,info,locale,man}
-install -d ${LFS}/usr/local/share/{misc,terminfo,zoneinfo}
-install -d ${LFS}/usr/local/share/man/man{1,2,3,4,5,6,7,8}
-install -d ${LFS}/var/{lock,log,mail,run,spool}
-install -d ${LFS}/var/{opt,cache,lib/{misc,locate},local}
-install -d ${LFS}/opt/{bin,doc,include,info}
-install -d ${LFS}/opt/{lib,man/man{1,2,3,4,5,6,7,8}}</userinput></screen>
+<screen><userinput>install -dv ${LFS}/{bin,boot,dev,etc/opt,home,lib,mnt}
+install -dv ${LFS}/{sbin,srv,usr/local,var,opt,proc,sys}
+install -dv ${LFS}/root -m 0750
+install -dv ${LFS}/tmp ${LFS}/var/tmp -m 1777
+install -dv ${LFS}/media/{floppy,cdrom}
+install -dv ${LFS}/usr/{bin,include,lib,sbin,share,src}
+ln -sv share/{man,doc,info} ${LFS}/usr
+install -dv ${LFS}/usr/share/{doc,info,locale,man}
+install -dv ${LFS}/usr/share/{misc,terminfo,zoneinfo}
+install -dv ${LFS}/usr/share/man/man{1,2,3,4,5,6,7,8}
+install -dv ${LFS}/usr/local/{bin,etc,include,lib,sbin,share,src}
+ln -sv share/{man,doc,info} ${LFS}/usr/local
+install -dv ${LFS}/usr/local/share/{doc,info,locale,man}
+install -dv ${LFS}/usr/local/share/{misc,terminfo,zoneinfo}
+install -dv ${LFS}/usr/local/share/man/man{1,2,3,4,5,6,7,8}
+install -dv ${LFS}/var/{lock,log,mail,run,spool}
+install -dv ${LFS}/var/{opt,cache,lib/{misc,locate},local}
+install -dv ${LFS}/opt/{bin,doc,include,info}
+install -dv ${LFS}/opt/{lib,man/man{1,2,3,4,5,6,7,8}}</userinput></screen>
 
   <para os="b">Directories are, by default, created with permission mode 755,
Index: boot/common/e2fsprogs.xml
===================================================================
--- boot/common/e2fsprogs.xml	(revision 61f8f69524760734dcecb88946e67493b4ed39f5)
+++ boot/common/e2fsprogs.xml	(revision 287d7b97a3cbc872e0f92d4f299a9446528d40a3)
@@ -52,5 +52,11 @@
     </variablelist>
 
-<screen os="ac"><userinput>make</userinput></screen>
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../final-system/common/e2fsprogs.xml"
+    xpointer="xpointer(//*[@os='f'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../final-system/common/e2fsprogs.xml"
+    xpointer="xpointer(//*[@os='g'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: boot/common/introduction.xml
===================================================================
--- boot/common/introduction.xml	(revision 61f8f69524760734dcecb88946e67493b4ed39f5)
+++ boot/common/introduction.xml	(revision 287d7b97a3cbc872e0f92d4f299a9446528d40a3)
@@ -33,5 +33,5 @@
 class="username">root</systemitem>:</para>
 
-<screen><userinput>chown lfs $LFS</userinput></screen>
+<screen><userinput>chown -v lfs $LFS</userinput></screen>
 
 </sect1>
Index: boot/common/pwdgroup.xml
===================================================================
--- boot/common/pwdgroup.xml	(revision 61f8f69524760734dcecb88946e67493b4ed39f5)
+++ boot/common/pwdgroup.xml	(revision 287d7b97a3cbc872e0f92d4f299a9446528d40a3)
@@ -111,6 +111,6 @@
 
 <screen><userinput>touch ${LFS}/var/run/utmp ${LFS}/var/log/{btmp,lastlog,wtmp}
-chmod 664 ${LFS}/var/run/utmp ${LFS}/var/log/lastlog
-chmod 600 ${LFS}/var/log/btmp</userinput></screen>
+chmod -v 664 ${LFS}/var/run/utmp ${LFS}/var/log/lastlog
+chmod -v 600 ${LFS}/var/log/btmp</userinput></screen>
 
   <para>The <filename>${LFS}/var/run/utmp</filename> file records the users
Index: boot/common/sysvinit.xml
===================================================================
--- boot/common/sysvinit.xml	(revision 61f8f69524760734dcecb88946e67493b4ed39f5)
+++ boot/common/sysvinit.xml	(revision 287d7b97a3cbc872e0f92d4f299a9446528d40a3)
@@ -26,5 +26,5 @@
     during our build:</para>
 
-<screen os="ab"><userinput>cp src/Makefile src/Makefile.orig
+<screen os="ab"><userinput>cp -v src/Makefile src/Makefile.orig
 sed -e 's@root@0@g' \
     -e "s@/dev/initctl@${LFS}&amp;@g" \
Index: boot/common/udev.xml
===================================================================
--- boot/common/udev.xml	(revision 61f8f69524760734dcecb88946e67493b4ed39f5)
+++ boot/common/udev.xml	(revision 287d7b97a3cbc872e0f92d4f299a9446528d40a3)
@@ -44,5 +44,5 @@
     xpointer="xpointer(//*[@os='j'])"/>
 
-<screen os="k"><userinput>cp ../&udev-config-file; ${LFS}/etc/udev/rules.d/25-lfs.rules</userinput></screen>
+<screen os="k"><userinput>cp -v ../&udev-config-file; ${LFS}/etc/udev/rules.d/25-lfs.rules</userinput></screen>
 
   </sect2>
Index: boot/common/util-linux.xml
===================================================================
--- boot/common/util-linux.xml	(revision 61f8f69524760734dcecb88946e67493b4ed39f5)
+++ boot/common/util-linux.xml	(revision 287d7b97a3cbc872e0f92d4f299a9446528d40a3)
@@ -43,5 +43,5 @@
     directory by default. This is fixed by altering the configure script:</para>
 
-<screen os="bb"><userinput>cp configure{,.orig}
+<screen os="bb"><userinput>cp -v configure{,.orig}
 sed -e 's@/usr/include@/tools/include@g' configure.orig > configure</userinput></screen>
 
@@ -50,5 +50,5 @@
     yet:</para>
 
-<screen os="bd"><userinput>cp MCONFIG{,.orig}
+<screen os="bd"><userinput>cp -v MCONFIG{,.orig}
 sed -e 's|-o root||' MCONFIG.orig > MCONFIG</userinput></screen>
 
Index: boot/mips/kernel.xml
===================================================================
--- boot/mips/kernel.xml	(revision 61f8f69524760734dcecb88946e67493b4ed39f5)
+++ boot/mips/kernel.xml	(revision 287d7b97a3cbc872e0f92d4f299a9446528d40a3)
@@ -114,5 +114,5 @@
     xpointer="xpointer(//*[@os='v'])"/>
 
-<screen><userinput>cp vmlinux ${LFS}/boot/vmlinux-&linux-version;
+<screen><userinput>cp -v vmlinux ${LFS}/boot/vmlinux-&linux-version;
 gzip -9 ${LFS}/boot/vmlinux-&linux-version;</userinput></screen>
 
Index: boot/mips64/kernel.xml
===================================================================
--- boot/mips64/kernel.xml	(revision 61f8f69524760734dcecb88946e67493b4ed39f5)
+++ boot/mips64/kernel.xml	(revision 287d7b97a3cbc872e0f92d4f299a9446528d40a3)
@@ -118,5 +118,5 @@
     xpointer="xpointer(//*[@os='v'])"/>
 
-<screen><userinput>cp vmlinux ${LFS}/boot/vmlinux-&linux-version;
+<screen><userinput>cp -v vmlinux ${LFS}/boot/vmlinux-&linux-version;
 gzip -9 ${LFS}/boot/vmlinux-&linux-version;</userinput></screen>
 
Index: boot/multilib/e2fsprogs.xml
===================================================================
--- boot/multilib/e2fsprogs.xml	(revision 61f8f69524760734dcecb88946e67493b4ed39f5)
+++ boot/multilib/e2fsprogs.xml	(revision 287d7b97a3cbc872e0f92d4f299a9446528d40a3)
@@ -23,9 +23,9 @@
     <title>Installation of E2fsprogs</title>
 
-    <para>Make sure the libraries get installed to
+    <para os="m1">Make sure the libraries get installed to
     <filename class="directory">/tools/lib64</filename>:</para>
 
-<screen os="m1"><userinput>chmod 0755 configure
-cp configure{,.orig}
+<screen os="m2"><userinput>chmod -v 0755 configure
+cp -v configure{,.orig}
 sed -e "/libdir=.*\/lib/s@/lib@/lib64@g" configure.orig > configure</userinput></screen>
 
Index: boot/ppc/kernel.xml
===================================================================
--- boot/ppc/kernel.xml	(revision 61f8f69524760734dcecb88946e67493b4ed39f5)
+++ boot/ppc/kernel.xml	(revision 287d7b97a3cbc872e0f92d4f299a9446528d40a3)
@@ -98,5 +98,5 @@
     xpointer="xpointer(//*[@os='v'])"/>
 
-<screen><userinput>cp vmlinux ${LFS}/boot/lfskernel-&linux-version;</userinput></screen>
+<screen><userinput>cp -v vmlinux ${LFS}/boot/lfskernel-&linux-version;</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: boot/ppc64/e2fsprogs.xml
===================================================================
--- boot/ppc64/e2fsprogs.xml	(revision 61f8f69524760734dcecb88946e67493b4ed39f5)
+++ boot/ppc64/e2fsprogs.xml	(revision 287d7b97a3cbc872e0f92d4f299a9446528d40a3)
@@ -23,10 +23,11 @@
     <title>Installation of E2fsprogs</title>
 
-    <para>Make sure the libraries get installed to
-    <filename class="directory">/tools/lib64</filename>:</para>
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../multilib/e2fsprogs.xml"
+    xpointer="xpointer(//*[@os='m1'])"/>
 
-<screen os="m1"><userinput>chmod 0755 configure
-cp configure{,.orig}
-sed -e "/libdir=.*\/lib/s@/lib@/lib64@g" configure.orig > configure</userinput></screen>
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../multilib/e2fsprogs.xml"
+    xpointer="xpointer(//*[@os='m2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
@@ -61,5 +62,7 @@
     xpointer="xpointer(//*[@os='e'])"/>
 
-<screen os="ac"><userinput>make CC="${CC} ${BUILD64}"</userinput></screen>
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../64/e2fsprogs.xml"
+    xpointer="xpointer(//*[@os='ac'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: boot/ppc64/kernel.xml
===================================================================
--- boot/ppc64/kernel.xml	(revision 61f8f69524760734dcecb88946e67493b4ed39f5)
+++ boot/ppc64/kernel.xml	(revision 287d7b97a3cbc872e0f92d4f299a9446528d40a3)
@@ -32,5 +32,5 @@
 
     <para os="m1">To ensure that your system boots and you can properly run both
-    32 bits and 64 bits binaries, please make sure that you enable support for
+    32 bit and 64 bit binaries, please make sure that you enable support for
     ELF and emulations for 32bit ELF into the kernel.</para>
 
@@ -102,5 +102,5 @@
     xpointer="xpointer(//*[@os='v'])"/>
 
-<screen><userinput>cp vmlinux ${LFS}/boot/lfskernel-&linux-version;</userinput></screen>
+<screen><userinput>cp -v vmlinux ${LFS}/boot/lfskernel-&linux-version;</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: boot/sparc/kernel.xml
===================================================================
--- boot/sparc/kernel.xml	(revision 61f8f69524760734dcecb88946e67493b4ed39f5)
+++ boot/sparc/kernel.xml	(revision 287d7b97a3cbc872e0f92d4f299a9446528d40a3)
@@ -98,5 +98,5 @@
     xpointer="xpointer(//*[@os='v'])"/>
 
-<screen><userinput>cp vmlinux ${LFS}/boot/lfskernel-&linux-version;</userinput></screen>
+<screen><userinput>cp -v vmlinux ${LFS}/boot/lfskernel-&linux-version;</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: boot/sparc64/kernel.xml
===================================================================
--- boot/sparc64/kernel.xml	(revision 61f8f69524760734dcecb88946e67493b4ed39f5)
+++ boot/sparc64/kernel.xml	(revision 287d7b97a3cbc872e0f92d4f299a9446528d40a3)
@@ -100,5 +100,5 @@
     xpointer="xpointer(//*[@os='v'])"/>
 
-<screen><userinput>cp vmlinux ${LFS}/boot/lfskernel-&linux-version;</userinput></screen>
+<screen><userinput>cp -v vmlinux ${LFS}/boot/lfskernel-&linux-version;</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: boot/x86/kernel.xml
===================================================================
--- boot/x86/kernel.xml	(revision 61f8f69524760734dcecb88946e67493b4ed39f5)
+++ boot/x86/kernel.xml	(revision 287d7b97a3cbc872e0f92d4f299a9446528d40a3)
@@ -106,5 +106,5 @@
     xpointer="xpointer(//*[@os='v'])"/>
 
-<screen><userinput>cp arch/i386/boot/bzImage ${LFS}/boot/lfskernel-&linux-version;</userinput></screen>
+<screen><userinput>cp -v arch/i386/boot/bzImage ${LFS}/boot/lfskernel-&linux-version;</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
@@ -112,5 +112,5 @@
     xpointer="xpointer(//*[@os='w'])"/>
 
-<screen os="w1"><userinput>cp System.map ${LFS}/boot/System.map-&linux-version;</userinput></screen>
+<screen os="w1"><userinput>cp -v System.map ${LFS}/boot/System.map-&linux-version;</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
@@ -118,5 +118,5 @@
     xpointer="xpointer(//*[@os='x'])"/>
 
-<screen os="x1"><userinput>cp .config ${LFS}/boot/config-&linux-version;</userinput></screen>
+<screen os="x1"><userinput>cp -v .config ${LFS}/boot/config-&linux-version;</userinput></screen>
 
   </sect2>
Index: boot/x86_64/kernel.xml
===================================================================
--- boot/x86_64/kernel.xml	(revision 61f8f69524760734dcecb88946e67493b4ed39f5)
+++ boot/x86_64/kernel.xml	(revision 287d7b97a3cbc872e0f92d4f299a9446528d40a3)
@@ -32,5 +32,5 @@
 
     <para os="m1">To ensure that your system boots and you can properly run both
-    32 bits and 64 bits binaries, please make sure that you enable support for
+    32 bit and 64 bit binaries, please make sure that you enable support for
     ELF and emulations for 32bit ELF into the kernel.</para>
 
@@ -102,5 +102,5 @@
     xpointer="xpointer(//*[@os='v'])"/>
 
-<screen><userinput>cp arch/x86_64/boot/bzImage ${LFS}/boot/lfskernel-&linux-version;</userinput></screen>
+<screen><userinput>cp -v arch/x86_64/boot/bzImage ${LFS}/boot/lfskernel-&linux-version;</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: cross-tools/sparcv8/glibc.xml
===================================================================
--- cross-tools/sparcv8/glibc.xml	(revision 61f8f69524760734dcecb88946e67493b4ed39f5)
+++ cross-tools/sparcv8/glibc.xml	(revision 287d7b97a3cbc872e0f92d4f299a9446528d40a3)
@@ -81,8 +81,4 @@
     xpointer="xpointer(//*[@os='g'])"/>
 
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='df'])"/>
-
 <screen os="df"><userinput>BUILD_CC="gcc" CC="${LFS_TARGET}-gcc" \
     AR="${LFS_TARGET}-ar" RANLIB="${LFS_TARGET}-ranlib" \
Index: final-system/sparc/glibc.xml
===================================================================
--- final-system/sparc/glibc.xml	(revision 61f8f69524760734dcecb88946e67493b4ed39f5)
+++ final-system/sparc/glibc.xml	(revision 287d7b97a3cbc872e0f92d4f299a9446528d40a3)
@@ -38,5 +38,5 @@
     xpointer="xpointer(//*[@os='d'])"/>
 
-   <para os="s1">This patch will add TLS(Thread Local Storage) support to Sparc:</para>
+   <para os="s1">This patch will add TLS (Thread Local Storage) support to Sparc:</para>
 
 <screen os="s2"><userinput>patch -Np1 -i ../&glibc-sparc_tls-patch;</userinput></screen>
Index: general.ent
===================================================================
--- general.ent	(revision 61f8f69524760734dcecb88946e67493b4ed39f5)
+++ general.ent	(revision 287d7b97a3cbc872e0f92d4f299a9446528d40a3)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
 
-<!ENTITY version "CLFS-SVN-20060209">
+<!ENTITY version "CLFS-SVN-20060211">
 <!ENTITY version-x86 "&version;-x86">
 <!ENTITY version-x86_64 "&version;-x86_64-Multilib">
@@ -16,5 +16,5 @@
 <!ENTITY version-alpha "&version;-ALPHA">
 
-<!ENTITY releasedate "February 9, 2006">
+<!ENTITY releasedate "February 11, 2006">
 <!ENTITY milestone "0.1">
 <!ENTITY generic-version "svn"> <!-- Use "svn", "testing", or "x.y[-pre{x}]" -->
Index: temp-system/common/bash.xml
===================================================================
--- temp-system/common/bash.xml	(revision 61f8f69524760734dcecb88946e67493b4ed39f5)
+++ temp-system/common/bash.xml	(revision 287d7b97a3cbc872e0f92d4f299a9446528d40a3)
@@ -25,5 +25,5 @@
     <para os="aa">Fix a minor issue during the build when cross-compiling:</para>
 
-<screen os="ab"><userinput>cp Makefile.in Makefile.in.orig
+<screen os="ab"><userinput>cp -v Makefile.in Makefile.in.orig
 sed -e "s@size \$(Program)@${LFS_TARGET}-&amp;@g"  Makefile.in.orig > Makefile.in</userinput></screen>
 
@@ -74,5 +74,5 @@
     a shell:</para>
 
-<screen os="af"><userinput>ln -s bash /tools/bin/sh</userinput></screen>
+<screen os="af"><userinput>ln -sv bash /tools/bin/sh</userinput></screen>
 
   </sect2>
Index: temp-system/common/bzip2.xml
===================================================================
--- temp-system/common/bzip2.xml	(revision 61f8f69524760734dcecb88946e67493b4ed39f5)
+++ temp-system/common/bzip2.xml	(revision 287d7b97a3cbc872e0f92d4f299a9446528d40a3)
@@ -23,6 +23,6 @@
     <title>Installation of Bzip2</title>
 
-    <para os="ca">Remove the tests to since they won't work on
-    a multi-architecture build:</para>
+    <para os="ca">Remove the tests since they won't work on a
+    multi-architecture build:</para>
 
 <screen os="cb"><userinput>cp -v Makefile{,.orig}